| Home · API Reference · Modules

Public Member Functions | List of all members
Maliit::WaylandPlatform Class Reference

`#include <waylandplatform.h>`

Inheritance diagram for Maliit::WaylandPlatform:
[legend]

## Public Member Functions

| WaylandPlatform ()
| ~WaylandPlatform ()
virtual void | setupInputPanel (QWindow *window, Maliit::Position position)
virtual void | setInputRegion (QWindow *window, const QRegion &region)
Public Member Functions inherited from Maliit::AbstractPlatform
virtual | ~AbstractPlatform ()
virtual void | setApplicationWindow (QWindow *window, WId appWindowId)

## Constructor & Destructor Documentation

## ◆ WaylandPlatform()

Maliit::WaylandPlatform::WaylandPlatform | ( |  | ) |

## ◆ ~WaylandPlatform()

Maliit::WaylandPlatform::~WaylandPlatform | ( |  | ) |

## Member Function Documentation

## ◆ setInputRegion()

void Maliit::WaylandPlatform::setInputRegion | ( | QWindow * | window,
|  | const QRegion & | region
| ) |  |

virtual

Implements Maliit::AbstractPlatform.

## ◆ setupInputPanel()

void Maliit::WaylandPlatform::setupInputPanel | ( | QWindow * | window,
|  | Maliit::Position | position
| ) |  |

virtual

Implements Maliit::AbstractPlatform.

Copyright © 2011 Nokia Corporation |  | Maliit